%define	major	0
%define	libname	%mklibname procps %{major}
%define	devname	%mklibname procps -d

Summary:	Utilities for monitoring your system and processes on your system
Name:		procps-ng
Version:	3.3.4
Release:	1
License:	GPLv2+
Group:		Monitoring
URL:		http://gitorious.org/procps
Source0:	http://gitorious.org/procps/procps/archive-tarball/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig(ncursesw)
%rename		procps3
%rename		procps

%description
The procps package contains a set of system utilities
which provide system information.

%package -n	%{libname}
Summary:	Main libary for %{name}
Group:		System/Libraries
License:	LGPLv2+
Requires:	%{name} = %{version}-%{release}


%description -n	%{libname}
Main library for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
License:	LGPLv2+
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
Development headers and library for the %{name} library.

%prep
%setup -q -n procps-procps
sed -e 's#${exec_prefix}/usr/bin#${bindir}#' -i configure.ac

./autogen.sh

%build
%configure2_5x \
	--sbindir=/sbin \
	--disable-rpath \
	--disable-static \
	--disable-watch8bit \
	--disable-kill

%make

%install
%makeinstall_std

mkdir %{buildroot}/{bin,%{_lib}}
mv %{buildroot}%{_bindir}/free %{buildroot}/bin
mv %{buildroot}%{_bindir}/ps %{buildroot}/bin

mv %{buildroot}%{_libdir}/libprocps.so.%{major}* %{buildroot}/%{_lib}
ln -srf %{buildroot}/%{_lib}/libprocps.so.%{major}.*.* %{buildroot}%{_libdir}/libprocps.so

%files
%doc NEWS AUTHORS
%doc top/README.top Documentation/FAQ Documentation/BUGS
/bin/ps
/bin/free
/sbin/sysctl
%{_bindir}/pgrep
%{_bindir}/pmap
%{_bindir}/pwdx
%{_bindir}/pkill
%{_bindir}/slabtop
%{_bindir}/tload
%{_bindir}/top
%{_bindir}/uptime
%{_bindir}/vmstat
%{_bindir}/w
%{_bindir}/watch
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*

%files -n %{libname}
/%{_lib}/libprocps.so.%{major}*

%files -n %{devname}
%dir %{_includedir}/proc
%{_includedir}/proc/*.h
%{_libdir}/libprocps.so
%{_libdir}/pkgconfig/libprocps.pc


%changelog
* Tue Oct 30 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 3.3.4-1
+ Revision: 821252
- update to new version 3.3.4

* Sun Oct 28 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 3.3.3-2
+ Revision: 820135
- use pkgconfig() buildrequires
- fix license tag
- drop bogus provides
- sanitize library location
- move autogen.sh to %%prep
- drop Requires(post) dependency on coreutils as there's no %%post scriptlet

* Sun Sep 23 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 3.3.3-1
+ Revision: 817355
- import procps-ng

